// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import { action } from '@storybook/addon-actions'
import FeaturedImageGallery from '.'
import themes from './themes.yml'

const items = [
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
]

const stories = storiesOf('Featured Image Gallery', module)
const keys = Object.keys(themes)

keys.forEach((key) => {
  stories.add(key, () => (
    <div>
      <FeaturedImageGallery
        items={items}
        showMoreMessage={'Xem thêm {count}+ hình'}
        theme={themes[key]}
        onSelect={action('select')}
      />
    </div>
  ))
})
