// @flow

import React from 'react'
import FeaturedList2 from 'components/FeaturedList2'
import ImageItem from 'components/ImageItem'

function FeaturedImageItemList({
  items,
  theme,
  ...props
}: TFeaturedImageItemList) {
  return (
    <FeaturedList2
      items={items}
      {...props}
      theme={theme}
      renderItem={item => <ImageItem {...item} theme={theme.item} />}
    />
  )
}

export default FeaturedImageItemList
